Subject: Re: [BUG REPORT] t5322: demonstrate a pack-objects bug

From: Derrick Stolee <[email-masked]>
Date: Wed, 28 Nov 2018 14:55:55 -0500

On 11/28/2018 2:45 PM, Derrick Stolee wrote:
> I was preparing a new "sparse" algorithm for calculating the
> interesting objects to send on push. The important steps happen
> during 'git pack-objects', so I was creating test cases to see
> how the behavior changes in narrow cases. Specifically, when
> copying a directory across sibling directories (see test case),
> the new logic would accidentally send that object as an extra.
>
> However, I found a bug in the existing logic. The included test
> demonstrates this during the final 'git index-pack' call. It
> fails with the message
>
> 	'fatal: pack has 1 unresolved delta'

I realize now that I've gone through this effort that the problem is me 
(of course it is).

> +	git pack-objects --stdout --thin --revs <packinput.txt >nonsparse.pack &&

Since I'm packing thin packs, the index operation is complaining about 
deltas. So, I need to use a different mechanism to list the objects in 
the pack (say, 'git verify-pack -v').

Sorry for the noise!

Thanks,

-Stolee